<script>
    import NavItem from "/src/components/nav/navItem.svelte"
    export let data
    export let activeTabValue = null
    const handleClick = (tabValue) => () => {
        if (activeTabValue === tabValue) {
            activeTabValue = null
        } else {
            activeTabValue = tabValue
        }
    }
</script>

{#each data.tabs as tab}
    <div class="flex">
        <div class="relative flex">
            <button
                on:click={handleClick(tab.value)}
                class:selected={tab.value == activeTabValue}
                type="button"
                class="border-transparent text-gray-700 hover:text-gray-900 relative z-10 flex items-center transition-colors ease-out duration-200 text-sm font-medium border-b-2 -mb-px pt-px"
                aria-expanded={tab.value == activeTabValue}>
                {tab.label}
            </button>
        </div>
    </div>
{/each}

{#each data.tabs as tab}
    {#if activeTabValue == tab.value}
        <div>
            <NavItem {tab} />
        </div>
    {/if}
{/each}

<style>
    .selected {
        @apply border-indigo-600;
        @apply text-indigo-600;
    }
</style>
